## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Created by pyp2rpm-3.3.4
%global pypi_name boututils

Name:           python-%{pypi_name}
Version:        0.1.9
Release:        %autorelease
Summary:        Python package containing BOUT++ utils

License:        LGPLv3+
URL:            http://boutproject.github.io
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# From setup_requires in setup.py:
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm[toml]) >= 3.4
BuildRequires:  python3dist(setuptools-scm-git-archive)
# For tests:
BuildRequires:  python3dist(pytest)

%description
Utils for postprocessing of BOUT++ simulations.


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Utils for BOUT++


%pyproject_extras_subpkg -n python3-%{pypi_name} mayavi


%generate_buildrequires
%pyproject_buildrequires -r


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pytest


%files -n python3-%{pypi_name} -f  %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Thu Aug 11 2022 David Bold <davidsch@fedoraproject.org> 0.1.9-1
- Update to 0.1.9

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.1.8-2
- Rebuilt for Python 3.11

* Sat Apr 22 2022 David <davidsch@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 31 2021 David <davidsch@fedoraproject.org> - 0.1.7-1
- Minor cleanup

* Fri Jan 22 2021 David <davidsch@fedoraproject.org> - 0.1.7-0.1
- Update to 0.1.7

* Tue Jan 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.6-0.2
- Apply pyproject-rpm-macros, including generated BR’s
- Properly handle mayavi extra
- Do not duplicate generated Requires
- Drop obsolete macros
- Remove unwanted shebangs in prep
- Run tests

* Sat Jan 09 2021 David <davidsch@fedoraproject.org> - 0.1.6-0.1
- Update to 0.1.6

* Wed Dec 30 2020 David <davidsch@fedoraproject.org> - 0.1.4-0.2
- Include patches.

* Fri Sep 18 2020 David <davidsch@fedoraproject.org> - 0.1.4-0.1
- Initial package.

